# MavenPomRelocation

@NullMarked
interface MavenPomRelocation

The relocation information of a Maven publication that has been moved to a new group and/or artifact ID.

#### Since

4.8

#### See also

MavenPom
MavenPomDistributionManagement

## Functions

getArtifactId
Link copied to clipboard
abstract fun getArtifactId(): Property<String>
The new artifact ID of the artifact.
getGroupId
Link copied to clipboard
abstract fun getGroupId(): Property<String>
The new group ID of the artifact.
getMessage
Link copied to clipboard
abstract fun getMessage(): Property<String>
The message to show the user for this relocation.
getVersion
Link copied to clipboard
abstract fun getVersion(): Property<String>
The new version of the artifact.